### Method

# Gtk FileChooser set_current_folder

#### Declaration [src]

    gboolean
    gtk_file_chooser_set_current_folder (
      GtkFileChooser* chooser,
      GFile* file,
      GError** error
    )

#### Description [src]

Sets the current folder for `chooser` from a `GFile`.

#### Parameters

`file` | `GFile*`
| The `GFile` for the new folder.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the folder could be changed successfully, `FALSE` otherwise.